### Enumeration

# GIRepository RepositoryLoadFlags

since: 2.80

#### Declaration

    flags GIRepository.RepositoryLoadFlags

#### Description

Flags that control how a typelib is loaded.

Available since: 2.80

#### Members

`GI_REPOSITORY_LOAD_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.80
`GI_REPOSITORY_LOAD_FLAG_LAZY`

  Lazily load the typelib.

  - Value: `1`
  - Available since: 2.80